Subject: Re: [AVTCORE] New Version Notification for draft-even-avtcore-rfc5285-bis-01.txt

From: Jonathan Lennox <[email-masked]>
Date: Tue, 3 Nov 2015 04:02:00 +0000

Hi, a few other comments on this draft:

1. We’ve discussed in the past relaxing the draft’s
To be specific, header extensions
   using this specification MUST only be used for data that can safely
   be ignored by the recipient without affecting interoperability
language, to make it clearer that it’s valid to have header extensions that are essential for interoperability, so long as they don’t alter the semantics of other parts of the RTP packet.  The precise wording needs wordsmithing.

The other thing I think we need is a mechanism by which an offer/answer exchange can determine whether the remote side supports the two-byte form, since only the one-byte form is MTI in 5285.  The usual recommendation I’ve heard suggested is negotiating header extension IDs outside the 1-14 range — is this sufficient?

(I also think we should consider making the two-byte form MTI, though this doesn’t obviate the need for backward compatibility with 5285.)

This draft should probably also cite RFC 6904 (informationally) in its security considerations, and repeat the guidance gave 6904 made that all header extensions must describe their confidentiality requirements.

> On Oct 9, 2015, at 1:36 PM, Roni Even <[email-masked]> wrote:
> 
> Hi,
> This version addresses Colin's comments
> Roni Even
> As individual
> 
> 
> A new version of I-D, draft-even-avtcore-rfc5285-bis-01.txt
> has been successfully submitted by Roni Even and posted to the IETF
> repository.
> 
> Name:           draft-even-avtcore-rfc5285-bis
> Revision:       01
> Title:          A General Mechanism for RTP Header Extensions
> Document date:  2015-10-08
> Group:          Individual Submission
> Pages:          19
> URL:
> https://www.ietf.org/internet-drafts/draft-even-avtcore-rfc5285-bis-01.txt
> Status:
> https://datatracker.ietf.org/doc/draft-even-avtcore-rfc5285-bis/
> Htmlized:
> https://tools.ietf.org/html/draft-even-avtcore-rfc5285-bis-01
> Diff:
> https://www.ietf.org/rfcdiff?url2=draft-even-avtcore-rfc5285-bis-01
> 
> Abstract:
>   This document provides a general mechanism to use the header
>   extension feature of RTP (the Real-Time Transport Protocol).  It
>   provides the option to use a small number of small extensions in each
>   RTP packet, where the universe of possible extensions is large and
>   registration is de-centralized.  The actual extensions in use in a
>   session are signaled in the setup information for that session.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat=
> 
> _______________________________________________
> Audio/Video Transport Core Maintenance
> [email-masked]
> https://www.ietf.org/mailman/listinfo/avt
>